require 'google/apis/gmail_v1'
require "google/apis/reseller_v1"
require 'googleauth'
require 'googleauth/stores/file_token_store'

module Wedoops
    module Google
        class Reseller

            Reseller = Google::Apis::ResellerV1

            def initialize(authorization)
                puts "Wedoops Reseller"
                pp authorization.class
                @service = Reseller::ResellerService.new
                @service.authorization = authorization
            end
            def read_suscriptions
                puts "Suscriptions:"
                # Print the first 10 subscriptions you manage.
                response = @service.list_subscriptions max_results: 100
                puts "No subscriptions found" if response.subscriptions.empty?
                response.subscriptions.each do |subscription|
                    puts "- #{subscription.customer_id} (#{subscription.sku_id}, #{subscription.plan.plan_name})"
                end
                return response.subscriptions
            end
        end
    end
end